VULKAN_HPP_NAMESPACE::ApplicationInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ApplicationInfo (const char *pApplicationName_=nullptr, uint32_t applicationVersion_=0, const char *pEngineName_=nullptr, uint32_t engineVersion_=0, uint32_t apiVersion_=0)
| ApplicationInfo (VkApplicationInfo const &rhs)
ApplicationInfo & | operator= (VkApplicationInfo const &rhs)
ApplicationInfo & | setPNext (const void *pNext_)
ApplicationInfo & | setPApplicationName (const char *pApplicationName_)
ApplicationInfo & | setApplicationVersion (uint32_t applicationVersion_)
ApplicationInfo & | setPEngineName (const char *pEngineName_)
ApplicationInfo & | setEngineVersion (uint32_t engineVersion_)
ApplicationInfo & | setApiVersion (uint32_t apiVersion_)
| operator VkApplicationInfo const & () const
| operator VkApplicationInfo & ()
bool | operator== (ApplicationInfo const &rhs) const
bool | operator!= (ApplicationInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
const char * | pApplicationName
uint32_t | applicationVersion
const char * | pEngineName
uint32_t | engineVersion
uint32_t | apiVersion

## Private Attributes

StructureType | sType = StructureType::eApplicationInfo

## Detailed Description

Definition at line 9500 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ApplicationInfo() [1/2]

VULKAN_HPP_NAMESPACE::ApplicationInfo::ApplicationInfo | ( | const char * | pApplicationName_ = `nullptr`,
|  | uint32_t | applicationVersion_ = `0`,
|  | const char * | pEngineName_ = `nullptr`,
|  | uint32_t | engineVersion_ = `0`,
|  | uint32_t | apiVersion_ = `0`
| ) |  |

inline

Definition at line 9502 of file vulkan.hpp.

: pApplicationName( pApplicationName_ )
, applicationVersion( applicationVersion_ )
, pEngineName( pEngineName_ )
, engineVersion( engineVersion_ )
, apiVersion( apiVersion_ )
{
}

## ApplicationInfo() [2/2]

VULKAN_HPP_NAMESPACE::ApplicationInfo::ApplicationInfo | ( | VkApplicationInfo const & | rhs | ) |

inline

Definition at line 9515 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ApplicationInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkApplicationInfo &()

VULKAN_HPP_NAMESPACE::ApplicationInfo::operator VkApplicationInfo & | ( |  | ) |

inline

Definition at line 9566 of file vulkan.hpp.

{
return *reinterpret_cast<VkApplicationInfo*>(this);
}

## operator VkApplicationInfo const &()

VULKAN_HPP_NAMESPACE::ApplicationInfo::operator VkApplicationInfo const & | ( |  | ) | const

inline

Definition at line 9561 of file vulkan.hpp.

{
return *reinterpret_cast<const VkApplicationInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ApplicationInfo::operator!= | ( | ApplicationInfo const & | rhs | ) | const

inline

Definition at line 9582 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::operator= | ( | VkApplicationInfo const & | rhs | ) |

inline

Definition at line 9520 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ApplicationInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ApplicationInfo::operator== | ( | ApplicationInfo const & | rhs | ) | const

inline

Definition at line 9571 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( pApplicationName == rhs.pApplicationName )
&& ( applicationVersion == rhs.applicationVersion )
&& ( pEngineName == rhs.pEngineName )
&& ( engineVersion == rhs.engineVersion )
&& ( apiVersion == rhs.apiVersion );
}

References apiVersion, applicationVersion, engineVersion, pApplicationName, pEngineName, pNext, and sType.

Referenced by operator!=().

## setApiVersion()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setApiVersion | ( | uint32_t | apiVersion_ | ) |

inline

Definition at line 9555 of file vulkan.hpp.

{
apiVersion = apiVersion_;
return *this;
}

References apiVersion.

## setApplicationVersion()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setApplicationVersion | ( | uint32_t | applicationVersion_ | ) |

inline

Definition at line 9537 of file vulkan.hpp.

{
applicationVersion = applicationVersion_;
return *this;
}

References applicationVersion.

## setEngineVersion()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setEngineVersion | ( | uint32_t | engineVersion_ | ) |

inline

Definition at line 9549 of file vulkan.hpp.

{
engineVersion = engineVersion_;
return *this;
}

References engineVersion.

## setPApplicationName()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setPApplicationName | ( | const char * | pApplicationName_ | ) |

inline

Definition at line 9531 of file vulkan.hpp.

{
pApplicationName = pApplicationName_;
return *this;
}

References pApplicationName.

## setPEngineName()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setPEngineName | ( | const char * | pEngineName_ | ) |

inline

Definition at line 9543 of file vulkan.hpp.

{
pEngineName = pEngineName_;
return *this;
}

References pEngineName.

## setPNext()

ApplicationInfo& VULKAN_HPP_NAMESPACE::ApplicationInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 9525 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## apiVersion

uint32_t VULKAN_HPP_NAMESPACE::ApplicationInfo::apiVersion

Definition at line 9596 of file vulkan.hpp.

Referenced by operator==(), and setApiVersion().

## applicationVersion

uint32_t VULKAN_HPP_NAMESPACE::ApplicationInfo::applicationVersion

Definition at line 9593 of file vulkan.hpp.

Referenced by operator==(), and setApplicationVersion().

## engineVersion

uint32_t VULKAN_HPP_NAMESPACE::ApplicationInfo::engineVersion

Definition at line 9595 of file vulkan.hpp.

Referenced by operator==(), and setEngineVersion().

## pApplicationName

const char* VULKAN_HPP_NAMESPACE::ApplicationInfo::pApplicationName

Definition at line 9592 of file vulkan.hpp.

Referenced by operator==(), and setPApplicationName().

## pEngineName

const char* VULKAN_HPP_NAMESPACE::ApplicationInfo::pEngineName

Definition at line 9594 of file vulkan.hpp.

Referenced by operator==(), and setPEngineName().

## pNext

const void* VULKAN_HPP_NAMESPACE::ApplicationInfo::pNext = nullptr

Definition at line 9591 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ApplicationInfo::sType = StructureType::eApplicationInfo

private

Definition at line 9588 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ApplicationInfo::pEngineName
const char * pEngineName
Definition: vulkan.hpp:9594
VULKAN_HPP_NAMESPACE::ApplicationInfo::apiVersion
uint32_t apiVersion
Definition: vulkan.hpp:9596
VULKAN_HPP_NAMESPACE::ApplicationInfo::pNext
const void * pNext
Definition: vulkan.hpp:9591
VULKAN_HPP_NAMESPACE::ApplicationInfo::applicationVersion
uint32_t applicationVersion
Definition: vulkan.hpp:9593
VULKAN_HPP_NAMESPACE::ApplicationInfo::operator==
bool operator==(ApplicationInfo const &rhs) const
Definition: vulkan.hpp:9571
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ApplicationInfo::pApplicationName
const char * pApplicationName
Definition: vulkan.hpp:9592
VULKAN_HPP_NAMESPACE::ApplicationInfo::sType
StructureType sType
Definition: vulkan.hpp:9588
VkApplicationInfo
Definition: vulkan_core.h:1734
VULKAN_HPP_NAMESPACE::ApplicationInfo::ApplicationInfo
ApplicationInfo(const char *pApplicationName_=nullptr, uint32_t applicationVersion_=0, const char *pEngineName_=nullptr, uint32_t engineVersion_=0, uint32_t apiVersion_=0)
Definition: vulkan.hpp:9502
VULKAN_HPP_NAMESPACE::ApplicationInfo::engineVersion
uint32_t engineVersion
Definition: vulkan.hpp:9595